# Uses of Interface
org.opensaml.saml.saml2.core.AuthenticatingAuthority

Packages that use AuthenticatingAuthority
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.

## Uses of AuthenticatingAuthority in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return types with arguments of type AuthenticatingAuthority
Modifier and Type
Method
Description
`List<AuthenticatingAuthority>`
AuthnContext.`getAuthenticatingAuthorities()`
Gets the Authenticating Authorities of this Authentication Context.

## Uses of AuthenticatingAuthority in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement AuthenticatingAuthority
Modifier and Type
Class
Description
`class`
`AuthenticatingAuthorityImpl`
A concrete implementation of `AuthenticatingAuthority`.
Fields in org.opensaml.saml.saml2.core.impl with type parameters of type AuthenticatingAuthority
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<AuthenticatingAuthority>`
AuthnContextImpl.`authenticatingAuthority`
List of the Authenticating Authorities.
Methods in org.opensaml.saml.saml2.core.impl that return AuthenticatingAuthority
Modifier and Type
Method
Description
`AuthenticatingAuthority`
AuthenticatingAuthorityBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AuthenticatingAuthority`
AuthenticatingAuthorityBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.core.impl that return types with arguments of type AuthenticatingAuthority
Modifier and Type
Method
Description
`List<AuthenticatingAuthority>`
AuthnContextImpl.`getAuthenticatingAuthorities()`
Gets the Authenticating Authorities of this Authentication Context.